REST API ReferenceDashboard APITeams
Fetch a team's Slack details
GET
/teams/{id}/slackFetch Slack details for a team. Returns the Slack workspace name, active or inactive status and the comma-separated bot scopes granted at authorization time if the team has Slack connected. Returns null if the team doesn't have Slack connected.
Authorization
bearerAuth AuthorizationBearer <token>
User access token issued at sign-in. Sent as
Authorization: Bearer <access-token> unless cookies are used to send
tokens. The /auth/refresh and /auth/signout endpoints expect the
session's refresh token in the same header format instead.
In: header
Path Parameters
id*string
Team's UUID.
Format
uuidResponse Body
application/json
curl -X GET "https://example.com/teams/497f6eca-6276-4993-bfeb-53cbbbba6f08/slack"{ "slack_team_name": "Measure", "is_active": true, "scopes": "app_mentions:read,assistant:write,chat:write,chat:write.public,channels:read,groups:read,channels:history,groups:history,im:history,im:write,commands,files:write,links:read,links:write,reactions:read,reactions:write,users:read,users:read.email"}Empty
Empty
Empty
Empty
Empty
Think this page can be better?
Open an issue